load data

init = initParams();
init(6)=1;  %K_23
init(7)=1;  %K_2h
init(10)=1;  %K_3h;
init(8)=1; %K_2r;
init(11)=1; %K_3r
init(13)=0.5; %K_hg
init(23)=1; %k2_s
init(24)=1; %k3_s
x0 =[22.9500   24.0500   24.8333   23.5600   22.9500   35.0000]';

mex greyboxmodel.c

m = idnlgrey('greyboxmodel',[4 10 6],init,x0);
for i = 1:40
     m.parameters(i).Minimum = 0;
end


m.parameters(6).Maximum = 1.5;
m.parameters(7).Maximum = 1.5;
m.parameters(8).Maximum = 1.5;
m.parameters(10).Maximum = 1.5;
m.parameters(11).Maximum = 1.5;
m.parameters(13).Maximum = 1;
m.parameters(23).Maximum = 1.5;
m.parameters(24).Maximum = 1.5;

m.parameters(6).Minimum = 0.5;
m.parameters(7).Minimum = 0.5;
m.parameters(8).Minimum = 0.5;
m.parameters(10).Minimum = 0.5;
m.parameters(11).Minimum = 0.5;
m.parameters(13).Minimum = 0.2;
m.parameters(23).Minimum = 0.5;
m.parameters(24).Minimum = 0.5;




m.algorithm.Display = 'full';
save('modellerny.mat','m');
'----------------------------------------M1----------------------------------------'
tid=floor(24*rem(now,1))+floor(60*(24*rem(now,1)-floor(24*rem(now,1))))/100
me1 = pem(zfilt,m);
save('modellerny.mat','m','me1');
'----------------------------------------M2----------------------------------------'
tid=floor(24*rem(now,1))+floor(60*(24*rem(now,1)-floor(24*rem(now,1))))/100
me2 = pem(zfilt,me1);
save('modellerny.mat','m','me1','me2');
 '----------------------------------------M3----------------------------------------'
tid=floor(24*rem(now,1))+floor(60*(24*rem(now,1)-floor(24*rem(now,1))))/100
me3 = pem(zfilt,me2);
save('modellerny.mat','m','me1','me2','me3');
'----------------------------------------M4----------------------------------------'
tid=floor(24*rem(now,1))+floor(60*(24*rem(now,1)-floor(24*rem(now,1))))/100
me4 = pem(zfilt,me3);
save('modellerny.mat','m','me1','me2','me3','me4');
